<template>
  <div>
    <div
      class="text-black"
      style="font-weight: 400; font-size: 18px; width: 650px; margin: auto"
      align="center"
    >
      <div v-if="ecoName == 'Asia-Pacific'">
        How have different integration dimensions in {{ ecoName }} progressed
        across periods?<br />
        Conventional and sustainable integration ({{ year1 }} vs {{ year2 }})
      </div>
      <div v-if="ecoName != 'Asia-Pacific'">
        How have different dimensions in {{ ecoName }}'s integration with
        Asia-Pacific progressed across periods?<br />
        Conventional and sustainable integration (2010-14 vs 2015-19)
      </div>
    </div>
    <div class="row q-pt-md">
      <div class="col q-pt-sm" align="right">
        <div v-for="n in 7">
          <dim-line-left
            :topValue="con2010_14C[n - 1]"
            :LowerValue="con2015_19C[n - 1]"
          />
          <div class="brakeChart"></div>
        </div>
      </div>

      <div style="width: 80px">
        <img src="../../../../public/dimicon.svg" alt="" />
      </div>
      <div class="col q-pt-sm" align="right">
        <div v-for="n in 7">
          <dim-line-right
            :topValue="con2010_14[n - 1]"
            :LowerValue="con2015_19[n - 1]"
          />
          <div class="brakeChart"></div>
        </div>
      </div>
    </div>
    <div class="row" style="width: 600px; margin: auto">
      <div class="col-6 row justify-center">
        <div class="row">
          <div class="box1"></div>
          <div class="q-pl-md">{{ year1 }} Conventional Integration</div>
        </div>
        <div class="row">
          <div class="box2"></div>
          <div class="q-pl-md">{{ year2 }}Conventional Integration</div>
        </div>
      </div>

      <div class="col-6 row justify-center">
        <div class="row">
          <div class="box3"></div>
          <div class="q-pl-md">{{ year1 }} Sustainable Integration</div>
        </div>
        <div class="row">
          <div class="box4"></div>
          <div class="q-pl-md">{{ year2 }} Sustainable Integration</div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import dimLineLeft from "../overview/dim_lineLeft.vue";
import dimLineRight from "../overview/dim_lineright.vue";
export default {
  components: { dimLineLeft, dimLineRight },
  props: ["data", "ecoName", "data1", "data2", "data3", "data4"],
  data() {
    return {
      ampChart: 200,
      con2010_14: this.data1,
      con2015_19: this.data2,
      con2010_14C: this.data3,
      con2015_19C: this.data4,
      year1: "",
      year2: "",
    };
  },
  methods: {
    yearLabel() {
      let str = this.getHalfLowYear().toString();
      this.year1 = this.getStartYear() + "-" + str.substr(str.length - 2);
      let str2 = this.getEndYear().toString();
      this.year2 = this.getHalfHighYear() + "-" + str2.substr(str2.length - 2);
    },
  },
  mounted() {
    this.yearLabel();
  },
  watch: {
    data1: function (newData, oldData) {
      setTimeout(() => {
        this.con2010_14 = this.data1;
        this.con2015_19 = this.data2;
        this.con2010_14C = this.data3;
        this.con2015_19C = this.data4;
        // console.log(this.data1);
      }, 100);
    },
  },
};
</script>

<style lang="scss" scoped>
.brakeChart {
  height: 21px;
}
.box1 {
  width: 20px;
  height: 20px;
  background-color: #1f81b8;
}
.box2 {
  width: 20px;
  height: 20px;
  background-color: #113f5a;
}
.box3 {
  width: 20px;
  height: 20px;
  background-color: #f5b283;
}
.box4 {
  width: 20px;
  height: 20px;
  background-color: #c55a0f;
}
</style>
